#
# spec file for package idesmart (Version 1.3)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         idesmart
Version:      1.3
Release:      289
Copyright:    GNU GPL
Group:        Applications/System
Provides:     ide-smart
Autoreqprov:  on
Summary:      Access to the SMART monitoring functionality of IDE drives
Source:       ftp://metalab.unc.edu/pub/linux/hardware/ide-smart-%{version}.tar.gz
Patch: ide-smart-%{version}.dif
BuildRoot:    /var/tmp/%{name}-build

%description
ide-smart can be used to access the SMART (Self-Monitoring, Analysis
and Reporting Technology) which can be found in modern IDE drives.

Authors:
--------
    
    Ragnar Hojland Espinosa <ragnar@lightside.dhis.org>

SuSE series: ap

%prep
%setup -n ide-smart-1.3
mv README README.ide-smart
%patch

%build
rm -f ide-smart ide-smart.o
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT MANDIR=%{_mandir} install

%files
/usr/sbin/ide-smart
%doc %{_mandir}/man8/ide-smart.8.gz
%doc README.ide-smart COPYING

%clean
rm -rf $RPM_BUILD_ROOT

%changelog -n idesmart
* Wed Sep 20 2000 - nadvornik@suse.cz
- added BuildRoot
- sorted
* Sun Feb 06 2000 - ro@suse.de
- remove object-file before build (again)
* Sat Feb 05 2000 - garloff@suse.de
- moved manpages to /usr/share/man
* Fri Oct 15 1999 - garloff@suse.de
- Initial version: 1.3
